MySQL++ Reference Manual

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::equal_list_b< Seq1, Seq2, Manip > Struct Template Reference

Same as equal_list_ba, plus the option to have some elements of the equals clause suppressed. More...

`#include <vallist.h>`

Collaboration diagram for mysqlpp::equal_list_b< Seq1, Seq2, Manip >:

[legend]
List of all members.

## Public Member Functions
| equal_list_b (const Seq1 &s1, const Seq2 &s2, const std::vector< bool > &f, const char *d, const char *e, Manip m)
| Create object.
## Public Attributes
const Seq1 * | list1
| the list of objects on the left-hand side of the equals sign
const Seq2 * | list2
| the list of objects on the right-hand side of the equals sign
const std::vector< bool > | fields
| for each true item in the list, the pair in that position will be inserted into a C++ stream
const char * | delim
| delimiter to use between each pair of elements
const char * | equl
| "equal" sign to use between each item in each equal pair; doesn't have to actually be " = "
Manip | manip
| manipulator to use when inserting the equal_list into a C++ stream

## Detailed Description

### template<class Seq1, class Seq2, class Manip>
struct mysqlpp::equal_list_b< Seq1, Seq2, Manip >

Same as equal_list_ba, plus the option to have some elements of the equals clause suppressed.

Imagine an object of this type contains the lists (a, b, c) (d, e, f), that the object's 'fields' list is (true, false, true), and that the object's delimiter and equals symbols are set to " AND " and " = " respectively. When you insert that object into a C++ stream, you would get "a = d AND c = f".

See equal_list_ba's documentation for more details.

## Constructor & Destructor Documentation

template<class Seq1, class Seq2, class Manip>

mysqlpp::equal_list_b< Seq1, Seq2, Manip >::equal_list_b | ( | const Seq1 & | s1,
|  | const Seq2 & | s2,
|  | const std::vector< bool > & | f,
|  | const char * | d,
|  | const char * | e,
|  | Manip | m |
| ) |  |  | `[inline]`

Create object.

Parameters:

  | s1 | list of objects on left-hand side of equal sign
  | s2 | list of objects on right-hand side of equal sign
  | f | for each true item in the list, the pair of items in that position will be inserted into a C++ stream
  | d | what delimiter to use between each group in the list when inserting the list into a C++ stream
  | e | the "equals" sign between each pair of items in the equal list; doesn't actually have to be " = "!
  | m | manipulator to use when inserting the list into a C++ stream

The documentation for this struct was generated from the following file:

- vallist.h